## ros-noetic-gpsd-client 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gpsd_client CXX)

############
## Catkin ##
############

find_package(catkin REQUIRED COMPONENTS
  gps_common
  roscpp
  sensor_msgs
)

find_package(PkgConfig)
pkg_check_modules (libgps REQUIRED libgps)

###################################################
## Declare things to be passed to other projects ##
###################################################

catkin_package()

###########
## Build ##
###########

include_directories(${catkin_INCLUDE_DIRS} ${libgps_INCLUDE_DIRS})
add_executable(${PROJECT_NAME} src/client.cpp)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${libgps_LIBRARIES})

#############
## Install ##
#############

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## ros-noetic-gpsd-client 0.3.3

=== debian/changelog ===
ros-noetic-gpsd-client (0.3.3-1buster) buster; urgency=high

  * Adding better debugging output to help diagnose corner case (#59 <https://github.com/swri-robotics/gps_umd/issues/59>)
    * Adding better debugging output to help diagnose corner case
    DISTRIBUTION A. Approved for public release; distribution unlimited. OPSEC #4584 <https://github.com/swri-robotics/gps_umd/issues/4584>
  * Merge pull request #39 <https://github.com/swri-robotics/gps_umd/issues/39> from shr-project/jansa/gpsd
    Fix build with gpsd-3.21
  * Fix build with gpsd-3.21
    Adapt to changes from this commit:
    https://gitlab.com/gpsd/gpsd/-/commit/29991d6ffeb41ecfc8297db68bb68be0128c8514
  * Contributors: David Anthony, Martin Jansa

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 28 Nov 2022 06:00:00 -0000

ros-noetic-gpsd-client (0.3.2-1buster) buster; urgency=high

  * Fix build with gpsd 3.20 (#28 <https://github.com/swri-robotics/gps_umd/issues/28>)
  * Contributors: P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 25 May 2020 05:00:00 -0000

ros-noetic-gpsd-client (0.3.1-1buster) buster; urgency=high

  * Fix for gpsd-3.19 compatibility (#26 <https://github.com/swri-robotics/gps_umd/issues/26>)
  * Contributors: P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 05 Mar 2020 06:00:00 -0000

ros-noetic-gpsd-client (0.3.0-1buster) buster; urgency=high



 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 03 Oct 2019 05:00:00 -0000

ros-noetic-gpsd-client (0.2.0-1buster) buster; urgency=high

  * Add include for <cmath> in gpsd_client
  * Add parameter to set frame_id.
  * Contributors: Kris Kozak, P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 16 Nov 2017 06:00:00 -0000

ros-noetic-gpsd-client (0.1.9-1buster) buster; urgency=high



 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 08 May 2017 05:00:00 -0000

ros-noetic-gpsd-client (0.1.8-1buster) buster; urgency=high

  * Use pre-processor defines to handle different libgps API versions
    Fixes #1 <https://github.com/swri-robotics/gps_umd/issues/1>
  * Contributors: P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 31 Oct 2016 05:00:00 -0000

ros-noetic-gpsd-client (0.1.7-1buster) buster; urgency=high

  * Fix a segfault when there is no GPS fix: time will be NaN which causes the ROS timestamp message to throw a Boost rounding exception.
  * Contributors: Stuart Alldritt

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 08 May 2014 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-gpsd-client
Section: misc
Priority: optional
Maintainer: Timo Roehling <timo.roehling@fkie.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libgps-dev, pkg-config, ros-noetic-catkin, ros-noetic-gps-common, ros-noetic-roscpp, ros-noetic-sensor-msgs
Homepage: http://ros.org/wiki/gpsd_client
Standards-Version: 3.9.2

Package: ros-noetic-gpsd-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: connects to a GPSd server and broadcasts GPS fixes using the NavSatFix message

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-gpsd-client//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-gpsd-client 0.3.4

=== debian/changelog ===
ros-noetic-gpsd-client (0.3.4-1focal) focal; urgency=high

  * GPSD API v12 Compatibility (#78 <https://github.com/swri-robotics/gps_umd/issues/78>)
  * Contributors: MariuszSzczepanikSpyrosoft

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Wed, 14 Jun 2023 05:00:00 -0000

ros-noetic-gpsd-client (0.3.3-1focal) focal; urgency=high

  * Adding better debugging output to help diagnose corner case (#59 <https://github.com/swri-robotics/gps_umd/issues/59>)
    * Adding better debugging output to help diagnose corner case
    DISTRIBUTION A. Approved for public release; distribution unlimited. OPSEC #4584 <https://github.com/swri-robotics/gps_umd/issues/4584>
  * Merge pull request #39 <https://github.com/swri-robotics/gps_umd/issues/39> from shr-project/jansa/gpsd
    Fix build with gpsd-3.21
  * Fix build with gpsd-3.21
    Adapt to changes from this commit:
    https://gitlab.com/gpsd/gpsd/-/commit/29991d6ffeb41ecfc8297db68bb68be0128c8514
  * Contributors: David Anthony, Martin Jansa

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 28 Nov 2022 06:00:00 -0000

ros-noetic-gpsd-client (0.3.2-1focal) focal; urgency=high

  * Fix build with gpsd 3.20 (#28 <https://github.com/swri-robotics/gps_umd/issues/28>)
  * Contributors: P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 25 May 2020 05:00:00 -0000

ros-noetic-gpsd-client (0.3.1-1focal) focal; urgency=high

  * Fix for gpsd-3.19 compatibility (#26 <https://github.com/swri-robotics/gps_umd/issues/26>)
  * Contributors: P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 05 Mar 2020 06:00:00 -0000

ros-noetic-gpsd-client (0.3.0-1focal) focal; urgency=high



 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 03 Oct 2019 05:00:00 -0000

ros-noetic-gpsd-client (0.2.0-1focal) focal; urgency=high

  * Add include for <cmath> in gpsd_client
  * Add parameter to set frame_id.
  * Contributors: Kris Kozak, P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 16 Nov 2017 06:00:00 -0000

ros-noetic-gpsd-client (0.1.9-1focal) focal; urgency=high



 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 08 May 2017 05:00:00 -0000

ros-noetic-gpsd-client (0.1.8-1focal) focal; urgency=high

  * Use pre-processor defines to handle different libgps API versions
    Fixes #1 <https://github.com/swri-robotics/gps_umd/issues/1>
  * Contributors: P. J. Reed

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Mon, 31 Oct 2016 05:00:00 -0000

ros-noetic-gpsd-client (0.1.7-1focal) focal; urgency=high

  * Fix a segfault when there is no GPS fix: time will be NaN which causes the ROS timestamp message to throw a Boost rounding exception.
  * Contributors: Stuart Alldritt

 -- Timo Roehling <timo.roehling@fkie.fraunhofer.de>  Thu, 08 May 2014 05:00:00 -0000
